data:extend(
{

  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk3-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/energy-shield-mk3-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 300,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "18kJ",
      input_flow_limit = "36kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "3kJ"
  },
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk4-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/energy-shield-mk4-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 300,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "36kJ",
      input_flow_limit = "72kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "6kJ"
  },
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk5-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/energy-shield-mk5-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 500,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "60kJ",
      input_flow_limit = "120kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "10kJ"
  },
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk6-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/energy-shield-mk6-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 700,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "84kJ",
      input_flow_limit = "168kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "14kJ"
  },
  {
    type = "energy-shield-equipment",
    name = "energy-shield-mk7-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/energy-shield-mk7-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    max_shield_value = 1000,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "120kJ",
      input_flow_limit = "240kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "20kJ"
  },





  {
    type = "generator-equipment",
    name = "fusion-reactor-mk2-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk2-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "150kW"
  },
  {
    type = "generator-equipment",
    name = "fusion-reactor-mk3-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk3-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "200kW"
  },
  {
    type = "generator-equipment",
    name = "fusion-reactor-mk4-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk4-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "250kW"
  },
  {
    type = "generator-equipment",
    name = "fusion-reactor-mk5-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk5-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "500kW"
  },
  {
    type = "generator-equipment",
    name = "fusion-reactor-mk6-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk6-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "750kW"
  },
  {
    type = "generator-equipment",
    name = "fusion-reactor-mk7-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/fusion-reactor-mk7-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },
    power = "1000kW"
  },





    {
    type = "active-defense-equipment",
    name = "laser-defense-mk2-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk2-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "80kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 70,
      damage_modifier = 0.2,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 40,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "10kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.40
              }
            }
          }
        }
      }
    },
    automatic = true
  },
    {
    type = "active-defense-equipment",
    name = "laser-defense-mk3-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk3-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "120kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 10,
      damage_modifier = 1.5,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 10,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "15kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },
    {
    type = "active-defense-equipment",
    name = "laser-defense-mk4-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk4-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "120kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 10,
      damage_modifier = 0.8,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 17,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "15kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },
    {
    type = "active-defense-equipment",
    name = "laser-defense-mk5-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk5-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "160kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 10,
      damage_modifier = 1.1,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 17,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "20kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },
    {
    type = "active-defense-equipment",
    name = "laser-defense-mk6-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk6-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "240kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 10,
      damage_modifier = 2,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 20,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "30kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },
    {
    type = "active-defense-equipment",
    name = "laser-defense-mk7-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/laser-defense-mk7-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "500kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 5,
      damage_modifier = 3,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 30,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "40kJ",
        projectile = "laser",
        speed = 1,
        action = 
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true
  },




  {
    type = "battery-equipment",
    name = "battery-mk3-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk3-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "1000KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk4-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk4-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "1500KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk5-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk5-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "2000KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk6-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk6-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "3000KJ",
      input_flow_limit = "7.5MW",
      output_flow_limit = "7.5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk7-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk7-equipment.png",
      width = 32,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 1,

      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "5000KJ",
      input_flow_limit = "7.5MW",
      output_flow_limit = "7.5MW",
      usage_priority = "terciary"
    }
  },






  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk2-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk2-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "30000W",
    movement_bonus = 0.45
  },
  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk3-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk3-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "40000W",
    movement_bonus = 0.6
  },
  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk4-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk4-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "50000W",
    movement_bonus = 0.75
  },
  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk5-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk5-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "60000W",
    movement_bonus = 0.9
  },
  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk6-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk6-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "70000W",
    movement_bonus = 1.05
  },
  {
    type = "movement-bonus-equipment",
    name = "exoskeleton-mk7-equipment",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/exoskeleton-mk7-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_consumption = "80000W",
    movement_bonus = 1.2
  },





 {
    type = "battery-equipment",
    name = "battery-mk3-equipment-horizontal",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk3-equipment-horizontal.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "1000KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk4-equipment-horizontal",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk4-equipment-horizontal.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "1500KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk5-equipment-horizontal",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk5-equipment-horizontal.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "2000KJ",
      input_flow_limit = "5MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk6-equipment-horizontal",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk6-equipment-horizontal.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "3000KJ",
      input_flow_limit = "7.5MW",
      output_flow_limit = "7.5MW",
      usage_priority = "terciary"
    }
  },
  {
    type = "battery-equipment",
    name = "battery-mk7-equipment-horizontal",
    sprite = 
    {
      filename = "__AdvancedEquipment__/graphics/equipment/battery-mk7-equipment-horizontal.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "5000KJ",
      input_flow_limit = "7.5MW",
      output_flow_limit = "7.5MW",
      usage_priority = "terciary"
    }
  }


}
)
